View Issue Details

IDProjectCategoryView StatusLast Update
0001665Ham Radio DeluxeBugpublic2018-11-30 16:50
ReporterWA9PIE 
Assigned ToWA9PIE 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.2.72 
Summary0001665: Winkey 1 hangs after sending 18 characters
DescriptionUsers are reporting that Winkey 1 no longer works properly in HRD 6.2.

---------------

Ticket #775346

I have a problem using microHAM DigiKeyerII/WinKey in HRD. After TXing a text from Keyboard or from a macro the TRX doesn't come back to RX immediately. Often it takes more than five seconds, then it comes back to RX. When trying to send a longer text, Winkey stopped after sending the tenth character, the winkey monitor reports “status ok” for this character, but no further tx. Then it is necessary to restart DM-780 to come back to RX. This occurs with WinKey only, i.e. HRD works flawlessly with FSK-45, with PSK and with CW (without WinKey).

WinKey works fine together with CWtype. standalone with KeyPad, and with paddle.

WinKey works ok in the pre-release of 6.2 (6.2.3.267 RC2). As you can see in the attached pictures it seems to me that the WinKey1-chip is not detected properly (port WinKey1 is greyed out, and the microham-DigiKeyerII contains this WinKey1-chip).

My Environment: DigiKeyerII, Router 8.5.6
HRD 6.2 DM780 6.2.3.271
Windows7,64 Bit, TRX ICOM IC-7600
Steps To ReproduceEasy to reproduce.

Using Winkey 1.0 open DM-780
Select CW (Winkey)
In the TX window, enter 12345678901234567890
Hit Send or Auto
DM will hang after sending the second "8" (ie. after 18 characters)

This is true regardless of whether free-form test is used or a macro.
TagsICOM
ModuleDM780
Sub-ModuleWinkeyer
Testing

Relationships

related to 0001685 feedback Issues Needing Retest DM-780 Winkeyer 3 locks up DM 
child of 0001568 acknowledged 1 - Backlog Icom 7600 (Parent) 

Activities

WA9PIE

2014-08-14 08:16

administrator   ~0000452

I tested this in 285 and it was resolved.

Issue History

Date Modified Username Field Change
2014-07-05 13:44 WA9PIE New Issue
2014-07-05 13:45 WA9PIE Description Updated View Revisions
2014-08-12 19:42 user36 Relationship added related to 0001685
2014-08-14 08:16 WA9PIE Report Build 6.2.3.271 => 6.2.6.284
2014-08-14 08:16 WA9PIE Note Added: 0000452
2014-08-14 08:16 WA9PIE Status new => closed
2014-08-14 08:16 WA9PIE Assigned To => WA9PIE
2014-08-14 08:16 WA9PIE Resolution open => fixed
2014-10-08 22:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2014-10-08 22:13 WA9PIE Category DM-780 => General
2015-09-30 12:06 WA9PIE Fix Build TBD => (select)
2015-09-30 12:06 WA9PIE Proposed Release => TBD
2015-09-30 12:06 WA9PIE Summary Bug: Winkey 1 hangs after sending 18 characters => Winkey 1 hangs after sending 18 characters
2015-09-30 13:33 WA9PIE Category General => Bug
2017-06-19 21:20 WA9PIE Fixed in Version => 6.2.72
2017-07-15 18:16 K7ZCZ Tag Attached: IC7600
2017-07-15 18:16 K7ZCZ Tag Attached: ICOM
2017-07-15 19:12 K7ZCZ Relationship added child of 0001568
2018-11-29 00:49 WA9PIE Tag Renamed IC7600 => Icom IC-7600
2018-11-30 16:50 WA9PIE Tag Detached: Icom IC-7600